<?php

/*
============================
Внимание! Скрипт требует ручного контроля:

Файл должен быть, создания при отсутствии нет!

В файле для записи (rcb_logs.txt) первая строка обязательно должна начинаться с нуля и заканчивающееся точкой с запятой!
Пример: "0000. sometext;"

Файл желательно обновлять каждые 9999 строк иначе упрется в порог нумерации и может некореектно считать

Записать свои значения в переменные: $token, $chat, $file

Поддержка и много всего интересного: https://devarts.pro
============================
*/


//Дабы при загрузке страницы не вылазили ошибки, проверяем наичие ПОСТ
if(!empty($_POST)){
    
    //и только после этого начинаем создавать переменные

    $token = "318736439:AAHYTI5aN1PbZdBMsmd7NjdAff_DSL1Ecvo";
    $chat = "@inv_blog";
    $file = 'rcb_logs.txt';
    $file_csv = 'rcb_logs.csv';
    
    //теперь проверяем заполнение всех полей формы
    if (!empty($_POST['name']) && !empty($_POST['project']) && !empty($_POST['summ']) && !empty($_POST['date']) && !empty($_POST['wallet']) && !empty($_POST['controller'])){

        //Небольшая проверка а-ля каптча!
        if($_POST['controller'] === 'rcb'){

            //проверяем наличие файла 
            if(file_exists($file)){

                $a = file_get_contents($file); //получаем его содержимое
                $b = explode(';', $a); //разбиваем строки по символу ";" и записываем их в массив
                $c = count($b) - 2; //почему-то некорректно считает. Вычитаем лишнее
                /*получаем четыре (0001 - 9999) первых символа последнего элемента массива, 
                умножаем на единицу и тем самым гарантированно конвертируем строку в число*/
                $d = mb_substr($b[$c], 1, 4) * 1;
              
            }else{
                $return = 'Файл отсутствует!';
            }

            //Забегаем наперед и прибавляем к последнему элементу единицу, которая уйдет в чат и запишется в файл
            $num = $d + 1;

            $name = $_POST['name'];
            $project = $_POST['project'];
            $summ = $_POST['summ'];
            $date = $_POST['date'];
            $wallet = $_POST['wallet'];
            $test = $_POST['test'];
       
            // Добавляем нули перед числом для унификации нумерации в файле в расчете на 9999 строк
            if($num < 10 && $num < 100 && $num < 1000) {
                $numm = '000' . $num; 
            }else if($num >= 10 && $num < 100){
                $numm = '00' . $num;
            }else if($num >= 100 && $num < 1000){
                $numm = '0' . $num;
            }

            //Формируем текст для отправки в чат
            $txt = "New RCB №$numm%0A Project: $project%0A Name: $name%0A Summ: $summ%0A Date: $date%0A Sender: $wallet";  

            //Отправляем и проверяем статус отправки
            if (fopen("https://api.telegram.org/bot$token/sendMessage?chat_id=$chat&text=$txt", "")){
                
                $return = 'Спасибо, Ваша заявка будет обработана в ближайшее время';

                //При успешной отправке записываем все то же самое в файл. В конце обязательно ; а внутри запятые можно поменять на свое
                $data = "\n$numm, Project: $project, Name: $name, Summ: $summ, Date: $date, Sender: $wallet;";
                file_put_contents($file, $data, FILE_APPEND);

                $data_csv = "\n$numm, $project, $name, $summ, $date, $wallet;";
                file_put_contents($file_csv, $data_csv, FILE_APPEND);

            }else{
                $return =  'Ошибка отправки! Воспользуйтесь альтернативными средствами связи!';
            }

        }else{
            //Выход из каптчи
            $return = 'Неправильный ответ на вопрос!';
        }
    }else{
        //выход из проверки всех полей формы
        $return = 'Заполнены не все поля';
    }
}

 
?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Telegram RCB Sender</title>

	<style>

		.block{
			width: 30%;
			margin: 0 auto;
			padding: 25px;
			font-size: 35px;
			background: #f1f1f1;
            font: 25px Arial Narrow;
		}
        .block form{
            display: flex;
            flex: 1 1 100%;
            padding: 0 5%;
            flex-flow: column wrap;
        }
		.block input{
            padding: 4px ;
            margin:2% 0%;
            display: flex;
            flex: 1 1 100%;
            flex-flow: column wrap;
            text-transform: uppercase;
        }
        .block button{
            border: none;
            background: #9c27b0;
            cursor: pointer;
            text-align: center;
            padding: 2% 0;
            text-transform: uppercase;
            outline: navajowhite;
        }

	</style>

</head>

<body>
<div class="block">
    <form action="" method="POST">
        <p>Форма заказа RCB</p>
        <?php if($return){
            echo '<p>' . $return . '</p>';
        } ?>
        
        <input name="project" type="text" placeholder="Название проекта" required>
        <input name="name" type="text" placeholder="Логин в проекте" required>
        <input name="summ" type="text" placeholder="Сумма инвестиций" required>
        <input name="date" type="text" placeholder="Время МСК: (DD-MM.ЧЧ:ММ)" required>
        <input name="wallet" type="text" placeholder="AdvCash E-Mail" required>
        <input name="controller" type="text" placeholder="Что вы заказываете (три буквы латиницей)" required>
        <button type="submit">Отправить</button>
    </form>
</div>
	
</body>
</html>
    
    
    
    
    